# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Class/Accessor/Fast.pm) perl(Config.pm) perl(Cwd.pm) perl(Data/Compare.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(FileHandle.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Socket.pm) perl(Test/Builder.pm) perl(Test/MockObject.pm) perl(Test/More.pm) perl(UNIVERSAL/isa.pm) perl(YAML/Tiny.pm) perl(base.pm) perl(inc/Module/Install.pm)
# END SourceDeps(oneline)
%define module_version 0.01
%define module_name Test-Mock-Recorder
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: Record-and-verify style mocking library.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/K/KZ/KZYS/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Test::Mock::Recorder is a record-and-verify style mocking library.

It wraps Test::MockObject and provides functionality of
testing a sequence of method calls.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.pod
%perl_vendor_privlib/T*

%changelog
* Mon Sep 30 2013 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

